(*
 * The LOOP Project
 *
 * The LOOP Team, Dresden University and Nijmegen University
 *
 * Copyright (C) 2002
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License in file COPYING in this or one of the
 * parent directories for more details.
 *
 * Created 22.4.04 by Hendrik
 *
 * Time-stamp: <Tuesday 22 June 04 22:32:58 tews@debian>
 *
 * prelude strings and functions
 *
 * $Id: prelude.mli,v 1.2 2004-07-08 22:10:01 tews Exp $
 *
 *)

open Top_variant_types
open Classtypes

val builtin_prelude : output_mode -> string

val ccsl_prelude : output_mode -> string

val output_prelude : unit -> 'a

val set_power_types : unit -> unit

val is_power_type : ccsl_input_types -> bool

val is_fpower_type : ccsl_input_types -> bool

val is_fpower_sig : ccsl_iface_type -> bool

val is_any_power_type : ccsl_input_types -> bool



(*** Local Variables: ***)
(*** version-control: t ***)
(*** kept-new-versions: 5 ***)
(*** delete-old-versions: t ***)
(*** time-stamp-line-limit: 30 ***)
(*** End: ***)
