(*
 * The LOOP Project
 *
 * The LOOP Team, Dresden University and Nijmegen University
 *
 * Copyright (C) 2002
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License in file COPYING in this or one of the
 * parent directories for more details.
 *
 * Created 14.5.99 by Hendrik
 *
 * Time-stamp: <Wednesday 30 June 10 11:13:42 tews@blau.inf.tu-dresden.de>
 *
 * Resolution pass for CCSL
 *
 * $Id: resolution.mli,v 1.5 2010-06-30 09:38:01 tews Exp $
 *
 *)

open Top_variant_types
open Classtypes

exception Resolution_error
  
  (* performs updates in the assertions *)

(* val ccsl_resolution_pass : Classtypes.ccsl_ast list -> unit *)


val resolve_expression : 
  ccsl_iface_type -> location_type -> ccsl_expressions -> ccsl_expressions

val resolve_formula : 
  ccsl_iface_type -> location_type -> ccsl_formulas -> ccsl_formulas


(*** Local Variables: ***)
(*** version-control: t ***)
(*** kept-new-versions: 5 ***)
(*** time-stamp-line-limit: 30 ***)
(*** End: ***)

