(*
 * The LOOP Project
 *
 * The LOOP Team, Dresden University and Nijmegen University
 *
 * Copyright (C) 2002
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License in file COPYING in this or one of the
 * parent directories for more details.
 *
 * Adapted from version 0.6.4 on  1.7.99 by Hendrik
 *
 * Time-stamp: <Thursday 28 September 06 11:33:46 tews@tandem.cs.ru.nl>
 *
 * Interface of the PVS Pretty printing module
 *
 * $Id: pvs_pretty.mli,v 1.6 2006-09-28 11:34:24 tews Exp $
 *
 *)


open Top_variant_types
open Top_classtypes

    (******************************************************************
     *
     * pretty printing through the standart formatter
     *)
  
val pvs_pp_theory : 
  (<get_name : string; 
    has_feature : feature_type -> bool;
    ..>, 
   <get_name : string; ..>)
      #top_pre_theory_body_type -> unit 

val pvs_pp_top_theory_declaration :
  (<get_name : string; 
    has_feature : feature_type -> bool;
    ..>, 
   <get_name : string; ..>)
  top_pre_theory_declaration -> unit

val pvs_pp_th_proofs : string -> pvs_proof list -> unit

val pvs_pp_edit_proof : string -> pvs_proof_tree -> unit

    (******************************************************************
     *
     * string interface
     *)

val string_of_pvs_top_expression :
  (<get_name : string; 
    has_feature : feature_type -> bool;
    ..>, 
   <get_name : string; ..>)
  top_pre_expressions -> string


    (******************************************************************
     *
     * other pvs pretty printing stuff
     *)

  (* pvs_identifier th_name arg_list decl_name
   * builds either
   *    th_name[arg, arg,...].decl_name
   * or
   *    decl_name[arg, arg, ...]
   * if th_name = ""
   *)
val pvs_identifier : 
  string ->  
    (<get_name : string; 
      has_feature : feature_type -> bool;
      ..>, 
     <get_name : string; ..>) top_pre_argument_type list -> 
       string -> 
         string


(*** Local Variables: ***)
(*** version-control: t ***)
(*** kept-new-versions: 5 ***)
(*** delete-old-versions: t ***)
(*** time-stamp-line-limit: 30 ***)
(*** End: ***)

